#################################################
#   ___________    ____ ______  __ __  _____    #
#   \____ \__  \ _/ ___\\____ \|  |  \/  ___/   #
#   |  |_> > __ \\  \___|  |_> >  |  /\___ \    #
#   |   __(____  /\___  >   __/|____//____  >   #
#   |__|       \/     \/|__|              \/    #
#                                               #
#################################################

################################################################################
# CMake
install(
    DIRECTORY ${PACPUS_CMAKE_DIR}
    DESTINATION ${PACPUS_INSTALL_DIR}
	PATTERN "in" EXCLUDE
)
configure_file("${PACPUS_CMAKE_DIR}/in/${PROJECT_NAME}Config.cmake.in" "${CMAKE_BINARY_DIR}/${PROJECT_NAME}Config.cmake" @ONLY)
install(
    FILES ${CMAKE_BINARY_DIR}/${PROJECT_NAME}Config.cmake
    DESTINATION ${PACPUS_INSTALL_DIR}
)

################################################################################
# INCLUDES
install(
    DIRECTORY
        ${PACPUS_INCLUDE_DIR}
    DESTINATION
        ${PACPUS_INSTALL_DIR}
)

################################################################################
# Installation of the 3rd party
if(PACPUS_INSTALL_3RD)
    install(
    DIRECTORY
        ${PACPUS_3RD_PARTY_DIR}
    DESTINATION
        ${PACPUS_INSTALL_DIR}
    )
endif()

################################################################################
# Installation of the documentation
if(PACPUS_BUILD_DOC)
    install(
        DIRECTORY
            ${CMAKE_BINARY_DIR}/doc/html
        DESTINATION
            ${PACPUS_INSTALL_DIR}/doc
    )
endif()
